Announcement

Collapse
No announcement yet.

How to Install dump1090-mutability_1.15~dev on RPi

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • abcd567
    Just done a full re-install and it has all gone well but I've ended up with a scroll bar next to the gain setting on the map.
    Functionally it makes no difference and I could just live with it but I don't know how I've ended up getting it.
    I could simply copy a gmap.html from another pi which is correct but I just wondered if you had come across this before.

    Comment


    • Scroggie
      No, I never came across a scroll bar in drop-down menu.
      Try to clear browser cache (Ctrl+Shift+Delete), then reload browser (Ctrl+F5)

      Comment


      • I've installed the RSSI display into gmap.html aircraft list, however whenever aircraft are listed it only shows RSSI and not the actual signal. Any ideas?

        I'm running v1.15 dump.

        Comment


        • Graeme2812:

          The DVBT/dump1090 do NOT display absolute value of signal in dBm (dB miliwatt). They provide relative signal strength on a scale of 0 to -50 dBFs, 0 being the strength of strongest signal recieved. Hence a signal with an RSSI of -3 dBFs is stronger than a signal with an RSSI of -10 dBFs.

          Comment


          • What is this amp command? I get 404 error when I try to access pi/dump1090. Does it require a webserver like nginx or apache2 installed?

            Comment


            • (1) What do you mean by "amp command"?

              (2) A web server is required to display map. By default dump1090 requires lighttpd as web server. It is installed as dependency of dump1090. May be you did not install it. The output of following command will show if you have it installed:

              apt policy lighttpd


              If lighttpd is not installed, please install it by following command:

              sudo apt install lighttpd


              .
              Last edited by abcd567; 2020-07-21, 01:09.

              Comment


              • I'm also getting enable mod errors from lighttdp stating that "dump1090-mutability" is not recognize. Can't start lighttdp either. Some other forums suggested installing gamin, which didn't work either.

                Comment


                • Originally posted by abcd567 View Post
                  (1) What do you mean by "amp command"?

                  (2) A web server is required to display map. By default dump1090 requires lighttpd as web server. It is installed as dependency of dump1090. May be you did not install it. The output of following command will show if you have it installed:

                  apt policy lighttpd


                  If lighttpd is not installed, please install it by following command:

                  sudo apt install lighttpd


                  .
                  You mention "amp" a few times. Not sure what it is.

                  I do have lighttdp installed however it won't start. Returns "failed to start lighttdp daemon" and "exited code."

                  Comment


                  • Originally posted by sibaar View Post

                    You mention "amp" a few times. Not sure what it is.
                    Where did I mention "amp"?
                    Please give my full sentence or full command. Just saying "amp" does not give any clue.


                    Originally posted by sibaar View Post
                    I do have lighttdp installed however it won't start. Returns "failed to start lighttdp daemon" and "exited code."
                    Seems you got a corrupted install of lighttpd. Purge it, then reinstall

                    sudo apt purge lighttpd

                    sudo apt install lighttpd


                    .

                    Comment


                    • abcd567

                      Code:
                      (d) Install data feeders FR24, Flightaware, & Planefinder (Steps 11, 12, & 13).
                      
                      You can create as many rings as you want by adding elevations (in meters) at the end of URL given in the wget command above after "&alts=", separated by commas.
                      
                      http://<ip address of your RPi on your LAN>/dump1090/gmap.html
                      
                      (A) RPi 2 & 3 with Raspbian STRETCH

                      Referring to these "amp" references on the first tutorial page. There's also an amp;amp reference in the json sudo wget command


                      I ran the purge and re-installation command you suggested, it didn't change anything. systemctl still reports a failure to start.

                      Comment


                      • That's the software or your language settings not recognizing ampersand

                        &

                        after upgrades
                        Posts not to be taken as official support representation - Just a helpful uploader who tinkers

                        Comment

                        Working...
                        X